[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.AppHandle (platform)

Native handle for a TApplication instance.

## Declaration

Source position: interfacebase.pp line 173

`public property TWidgetSet.AppHandle : TLCLHandle read GetAppHandle write SetAppHandle;`

## Description

AppHandle is a TLCLHandle property with the handle for the application in the widgetset class instance. AppHandle is a platform-specific property. The meaning and use for the handle changes from widgetset to widgetset.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type instead of the deprecated THandle type in the property value.

## See also

TLCLHandle |  | The type used for handles in LCL applications, components, controls, and widget set classes.